%define upstream_name Test-Time
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Overrides the time() and sleep() core functions for testing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Test::Time can be used to test modules that deal with time. Once you
"use" this module, all references to "time" and "sleep" will be
internalized. You can set custom time by passing time => number after
the "use" statement:

    use Test::Time time => 1;

    my $now = time;    # $now is equal to 1
    sleep 300;         # returns immediately, displaying a note
    my $then = time;   # $then equals to 301

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.80.0-2.mga8
+ Revision: 1526801
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jun 29 2019 tv <tv> 0.80.0-1.mga8
+ Revision: 1415966
- update to 0.08

* Wed Oct 03 2018 tv <tv> 0.70.0-1.mga7
+ Revision: 1316085
- update to 0.07

* Thu Sep 20 2018 umeabot <umeabot> 0.60.0-2.mga7
+ Revision: 1286820
- Mageia 7 Mass Rebuild

* Fri Jun 29 2018 tv <tv> 0.60.0-1.mga7
+ Revision: 1240680
- update to 0.06

* Tue Oct 03 2017 tv <tv> 0.50.0-2.mga7
+ Revision: 1166930
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 0.50.0-1.mga7
+ Revision: 1154270
- new release

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-6.mga6
+ Revision: 1034656
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-5.mga6
+ Revision: 943929
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 747247
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 686558
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 542257
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 497148
- imported package perl-Test-Time

